﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.DateTimeEditors;

namespace DateTimePickerFormat
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            // set the CurrentCulture to Portuguese (for testing, this is normally done by users)
            var ct = System.Threading.Thread.CurrentThread;
            ct.CurrentCulture = new System.Globalization.CultureInfo("pt");

            // set the page language to match the CurrentCulture (Silverlight should do this automatically...)
            this.Language = System.Windows.Markup.XmlLanguage.GetLanguage(ct.CurrentCulture.TwoLetterISOLanguageName);

            // get the short date patterm for the CurrentCulture (usually better than hardwiring formats?)
            var format = ct.CurrentCulture.DateTimeFormat.ShortDatePattern;
            format = "d/MM/yyyy";

            InitializeComponent();

            // C1DateTimePicker using default format
            var dtp = new C1DateTimePicker();
            dtp.EditMode = C1DateTimePickerEditMode.Date;
            dtp.AllowNull = true;
            dtp.DateWatermark = new TextBlock() { Text = "DateTimePicker, default format" };
            dtp.SetValue(Grid.RowProperty, LayoutRoot.RowDefinitions.Count);
            LayoutRoot.RowDefinitions.Add(new RowDefinition());
            LayoutRoot.Children.Add(dtp);

            // C1DatePicker using default format
            var dp = new C1DatePicker();
            dp.AllowNull = true;
            dp.Watermark = new TextBlock() { Text = "DatePicker, default format" };
            dp.SetValue(Grid.RowProperty, LayoutRoot.RowDefinitions.Count);
            LayoutRoot.RowDefinitions.Add(new RowDefinition());
            LayoutRoot.Children.Add(dp);

            // C1DateTimePicker using custom format
            dtp = new C1DateTimePicker();
            dtp.EditMode = C1DateTimePickerEditMode.Date;
            dtp.AllowNull = true;
            dtp.DateFormat = C1DatePickerFormat.Custom;
            dtp.CustomDateFormat = format;
            dtp.DateWatermark = new TextBlock() { Text = "DateTimePicker, custom format: " + format };
            dtp.SetValue(Grid.RowProperty, LayoutRoot.RowDefinitions.Count);
            LayoutRoot.RowDefinitions.Add(new RowDefinition());
            LayoutRoot.Children.Add(dtp);

            // C1DatePicker using custom format
            dp = new C1DatePicker();
            dp.AllowNull = true;
            dp.SelectedDateFormat = C1DatePickerFormat.Custom;
            dp.CustomFormat = format;
            dp.Watermark = new TextBlock() { Text = "DatePicker custom format: " + format };
            dp.SetValue(Grid.RowProperty, LayoutRoot.RowDefinitions.Count);
            LayoutRoot.RowDefinitions.Add(new RowDefinition());
            LayoutRoot.Children.Add(dp);
        }
    }
}
